Summary: The Advanced Maryland Automatic Network Disk Archiver 
Name: amanda
Version: 2.4.5 
Release: 1tr
License: BSD
Group: Trustix Official
Source0: http://download.sourceforge.net/amanda/amanda-%{version}.tar.gz
Source1: amanda-cron
Source2: amanda-conf
Source3: amanda-xinetd
Source4: amandaidx-xinetd
Source5: amidxtape-xinetd
Source6: amanda-disklist
URL: http://www.amanda.org
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: dump cpio tar readline-devel
Requires: readline termcap gettext

%define		_localstatedir	/var/lib
%define		_libexecdir	%{_libdir}/amanda

%description
AMANDA (Advanced Maryland Automatic Network Disk Archiver) is a backup system 
designed to archive many computers on a network to a single large-capacity 
tape drive.  AMANDA uses native dump and/or GNU tar facilities and can back 
up a large number of workstations running multiple versions of Unix.

%package client
Summary: The client side of AMANDA tape back-up system
Group: Trustix Official
Requires: %{name} = %{version} xinetd

%description client
The Amanda-client side package should be installed on any machine that will
be backed up by AMANDA (including the server if it also needs to be
backed up).  You will also need to install the amanda package on each
AMANDA client machine.

%package server
Summary: The server side of AMANDA tape back-up system
Group: Trustix Official
Requires: %{name} = %{version} xinetd

%description server
The amanda-server package should be installed on the AMANDA server,
the machine attached to the device(s) (such as a tape drive) where backups
will be written. You will also need to install the amanda package on
the AMANDA server machine.  And, if the server is also to be backed up, the
server also needs to have the amanda-client package installed.

%package devel
Summary: Libraries and Documentation for AMANDA tape back-up system
Group: Trustix Official
Requires: %{name} = %{version}

%description devel
The amanda-devel package should be installed on any machine that will
be used to develop amanda applications.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE" \
%configure --enable-shared \
	--disable-dependency-tracking \
	--with-index-server=localhost \
	--with-tape-server=localhost \
	--with-gnutar-listdir=%{_localstatedir}/amanda/gnutar-lists \
	--with-smbclient=%{_bindir}/smbclient \
	--with-amandahosts \
        --with-smbclient=%{_bindir}/smbclient \
	--with-user=amanda \
	--with-group=disk \
	--with-fqdn \
        --with-tmpdir=/var/log/amanda 

make 
(cd common-src; make security)
(cd tape-src; make tapetype)

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make install BINARY_OWNER=%(id -un) SETUID_GROUP=%(id -gn) DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/{amanda/DailySet1,cron.daily,xinetd.d}
mkdir -p $RPM_BUILD_ROOT/var/log/amanda
mkdir -p $RPM_BUILD_ROOT/var/lib/amanda

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/amanda
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/amanda/DailySet1/amanda.conf
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/etc/amanda/DailySet1/disklist
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/etc/xinetd.d/amanda
install -m755 %{SOURCE4} $RPM_BUILD_ROOT/etc/xinetd.d/amandaidx
install -m755 %{SOURCE5} $RPM_BUILD_ROOT/etc/xinetd.d/amidxtape

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/amanda/
cat <<EOF >$RPM_BUILD_ROOT%{_localstatedir}/amanda/.amandahosts
localhost amanda
localhost.localdomain amanda
EOF

touch $RPM_BUILD_ROOT%{_sysconfdir}/amandates
touch $RPM_BUILD_ROOT%{_sysconfdir}/amanda/DailySet1/tapelist

mkdir -p examples
cp example/* examples
rm -f examples/Makefile*
rm -f examples/config.site

cp common-src/security ${RPM_BUILD_ROOT}%{_sbindir}
pushd tape-src/.libs
install -m 755 amtapetype $RPM_BUILD_ROOT/%{_sbindir}
popd

pushd ${RPM_BUILD_ROOT}
  mkdir -p .%{_localstatedir}/amanda/gnutar-lists
  mkdir -p .%{_localstatedir}/amanda/DailySet1/index
  chmod 755 .%{_libdir}/libam*
popd
rm -rf $RPM_BUILD_ROOT/usr/share/amanda


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%pre
if [ -z "`getent passwd amanda`" ] ; then
    /usr/sbin/useradd -M -d /var/lib/amanda -g disk -s /bin/bash -c "Amanda User" \
                      -u 80 amanda > /dev/null 2>&1 || :
fi

%post -p /sbin/ldconfig

%post client
/sbin/ldconfig
[ -f /var/lock/subsys/xinetd ] && /sbin/service xinetd reload > /dev/null 2>&1 || :

%post server
/sbin/ldconfig
[ -f /var/lock/subsys/xinetd ] && /sbin/service xinetd reload > /dev/null 2>&1 || :

%postun -p /sbin/ldconfig

%postun client
/sbin/ldconfig
[ -f /var/lock/subsys/xinetd ] && /sbin/service xinetd reload > /dev/null 2>&1 || :

%postun server
/sbin/ldconfig
[ -f /var/lock/subsys/xinetd ] && /sbin/service xinetd reload > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%{_libdir}/libamanda*.so
%{_libdir}/libamtape*.so
%attr(-,amanda,disk)	%{_sbindir}/amrestore
%{_mandir}/man8/amrestore.8*
%attr(660,amanda,disk)  %config(noreplace) /var/lib/amanda/.amandahosts

%attr(02700,amanda,disk) %dir /var/log/amanda
%attr(-,amanda,disk)	%dir %{_localstatedir}/amanda/
%attr(-,amanda,disk)	%dir %{_sysconfdir}/amanda/
%attr(-,amanda,disk)	%config(noreplace) %{_sysconfdir}/amandates

%files server
%defattr(-,root,root)
%doc examples COPYRIGHT* NEWS README
%{_libdir}/libamserver*.so
%config(noreplace) /etc/xinetd.d/amandaidx
%config(noreplace) /etc/xinetd.d/amidxtape
%attr(-,amanda,disk)    %dir %{_libexecdir}/
%attr(-,amanda,disk)	%{_libexecdir}/amidxtaped
%attr(-,amanda,disk)	%{_libexecdir}/amindexd
%attr(-,amanda,disk)	%{_libexecdir}/amlogroll
%attr(-,amanda,disk)	%{_libexecdir}/amtrmidx
%attr(-,amanda,disk)	%{_libexecdir}/amtrmlog
%attr(-,amanda,disk)	%{_libexecdir}/driver
%attr(4750,root,disk)	%{_libexecdir}/dumper
%attr(4750,root,disk)	%{_libexecdir}/planner
%attr(-,amanda,disk)	%{_libexecdir}/taper
%attr(-,amanda,disk)	%{_libexecdir}/amcleanupdisk
%attr(-,amanda,disk)	%{_libexecdir}/chg-chio
%attr(-,amanda,disk)	%{_libexecdir}/chg-chs
%attr(-,amanda,disk)	%{_libexecdir}/chg-juke
%attr(-,amanda,disk)	%{_libexecdir}/chg-manual
%attr(-,amanda,disk)	%{_libexecdir}/chg-mcutil
%attr(-,amanda,disk)	%{_libexecdir}/chg-mtx
%attr(-,amanda,disk)	%{_libexecdir}/chg-multi
%attr(-,amanda,disk)	%{_libexecdir}/chg-null
%attr(-,amanda,disk)	%{_libexecdir}/chg-rait
%attr(-,amanda,disk)	%{_libexecdir}/chg-rth
%attr(-,amanda,disk)	%{_libexecdir}/chg-scsi
%attr(-,amanda,disk)	%{_libexecdir}/chg-zd-mtx
%attr(-,amanda,disk)	%{_libexecdir}/chg-disk
%attr(-,amanda,disk)	%{_libexecdir}/chg-iomega
%attr(-,amanda,disk)	%{_sbindir}/amadmin

%attr(4750,root,disk)	%{_sbindir}/amcheck
%attr(-,amanda,disk)	%{_sbindir}/amflush
%attr(-,amanda,disk)	%{_sbindir}/amgetconf
%attr(-,amanda,disk)	%{_sbindir}/amlabel
%attr(-,amanda,disk)	%{_sbindir}/amtape
%attr(-,amanda,disk)	%{_sbindir}/amreport
%attr(-,amanda,disk)	%{_sbindir}/amcheckdb
%attr(-,amanda,disk)	%{_sbindir}/amcleanup
%attr(-,amanda,disk)	%{_sbindir}/amdump
%attr(-,amanda,disk)	%{_sbindir}/amoverview
%attr(-,amanda,disk)	%{_sbindir}/amrmtape
%attr(-,amanda,disk)	%{_sbindir}/amtoc
%attr(-,amanda,disk)	%{_sbindir}/amverify
%attr(-,amanda,disk)	%{_sbindir}/amstatus
%attr(-,amanda,disk)	%{_sbindir}/amtapetype
%attr(-,amanda,disk)	%{_sbindir}/amdd
%attr(-,amanda,disk)	%{_sbindir}/ammt
%attr(-,amanda,disk)	%{_sbindir}/amverifyrun

%attr(-,amanda,disk)	%dir %{_localstatedir}/amanda/DailySet1/
%attr(-,amanda,disk)	%dir %{_localstatedir}/amanda/DailySet1/index
%attr(-,amanda,disk)	%dir %{_sysconfdir}/amanda
%attr(-,amanda,disk)	%dir %{_sysconfdir}/amanda/DailySet1
%attr(-,amanda,disk)	%config(noreplace) %{_sysconfdir}/amanda/DailySet1/amanda.conf
%attr(-,amanda,disk)	%config(noreplace) %{_sysconfdir}/amanda/DailySet1/disklist
%attr(-,amanda,disk)    %config(noreplace) %{_sysconfdir}/amanda/DailySet1/tapelist
%attr(-,amanda,disk)	%config(noreplace) %{_sysconfdir}/cron.daily/amanda

%{_mandir}/man8/amadmin.8*
%{_mandir}/man8/amanda.8*
%{_mandir}/man8/amcheck.8*
%{_mandir}/man8/amcheckdb.8*
%{_mandir}/man8/amcleanup.8*
%{_mandir}/man8/amdd.8*
%{_mandir}/man8/amdump.8*
%{_mandir}/man8/amflush.8*
%{_mandir}/man8/amgetconf.8*
%{_mandir}/man8/amlabel.8*
%{_mandir}/man8/ammt.8*
%{_mandir}/man8/amoverview.8*
%{_mandir}/man8/amreport.8*
%{_mandir}/man8/amrmtape.8*
%{_mandir}/man8/amstatus.8*
%{_mandir}/man8/amtape.8*
%{_mandir}/man8/amtapetype.8*
%{_mandir}/man8/amtoc.8*
%{_mandir}/man8/amverify.8*
%{_mandir}/man8/amverifyrun.8*

%files client
%defattr(-,root,root)
%config /etc/xinetd.d/amanda
%{_libdir}/libamclient*.so
%attr(-,amanda,disk)    %dir %{_libexecdir}/
%attr(-,amanda,disk)	%{_libexecdir}/amandad
%attr(4750,root,disk)	%{_libexecdir}/calcsize
%attr(4750,root,disk)	%{_libexecdir}/killpgrp
%attr(-,amanda,disk)	%{_libexecdir}/patch-system
%attr(4750,root,disk)	%{_libexecdir}/rundump
%attr(4750,root,disk)	%{_libexecdir}/runtar
%attr(4750,root,disk)	%{_libexecdir}/amqde
%attr(-,amanda,disk)	%{_libexecdir}/selfcheck
%attr(-,amanda,disk)	%{_libexecdir}/sendbackup
%attr(-,amanda,disk)	%{_libexecdir}/sendsize
%attr(-,amanda,disk)	%{_libexecdir}/versionsuffix
%attr(-,amanda,disk)	%{_sbindir}/amrecover
			%{_mandir}/man8/amrecover.8*
%attr(-,amanda,disk)	%{_sbindir}/security
%attr(-,amanda,disk)	%{_localstatedir}/amanda/gnutar-lists/

%files devel
%defattr(-,root,root)
%{_libdir}/libamanda.a
%{_libdir}/libamtape.a
%{_libdir}/libamclient.a
%{_libdir}/libamserver.a
%{_libdir}/*.la

%changelog
* Wed Aug 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 
- Initial Spec for TSL-3.0 Official


